Index: admin/_charte.php
===================================================================
--- admin/_charte.php	(revision 2501)
+++ admin/_charte.php	(revision 2504)
@@ -31,4 +31,5 @@
 	<script type="text/javascript" src="js/jquery/jquery.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery-ui.custom.js"></script>
+	<script type="text/javascript" src="js/jquery/jquery.ui.touch-punch.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.pageTabs.js"></script>
 	<script type="text/javascript" src="js/jquery/jquery.biscuit.js"></script>
Index: admin/auth.php
===================================================================
--- admin/auth.php	(revision 2566)
+++ admin/auth.php	(revision 2720)
@@ -16,5 +16,5 @@
 if (isset($_SESSION['sess_user_id']))
 {
-	http::redirect('index.php');
+	http::redirect($core->adminurl->get('admin.home'));
 }
 
@@ -185,5 +185,5 @@
 		}
 
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get('admin.home'));
 	}
 	catch (Exception $e)
@@ -243,5 +243,5 @@
 		}
 
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get('admin.home'));
 	}
 	else
@@ -326,5 +326,5 @@
 <body id="dotclear-admin" class="auth">
 
-<form action="auth.php" method="post" id="login-screen">
+<form action="<?php echo $core->adminurl->get('admin.auth'); ?>" method="post" id="login-screen">
 <h1><?php echo html::escapeHTML(DC_VENDOR_NAME); ?></h1>
 
@@ -339,5 +339,5 @@
 if ($akey)
 {
-	echo '<p><a href="auth.php">'.__('Back to login screen').'</a></p>';
+	echo '<p><a href="'.$core->adminurl->get('admin.auth').'">'.__('Back to login screen').'</a></p>';
 }
 elseif ($recover)
@@ -356,5 +356,5 @@
 
 	'<div id="issue">'.
-	'<p><a href="auth.php">'.__('Back to login screen').'</a></p>'.
+	'<p><a href="'.$core->adminurl->get('admin.auth').'">'.__('Back to login screen').'</a></p>'.
 	'</div>';
 }
@@ -426,11 +426,11 @@
 		if ($safe_mode) {
 			echo
-			'<p><a href="auth.php" id="normal_mode_link">'.__('Get back to normal authentication').'</a></p>';
+			'<p><a href="'.$core->adminurl->get('admin.auth').'" id="normal_mode_link">'.__('Get back to normal authentication').'</a></p>';
 		} else {
 			echo '<p id="more"><strong>'.__('Connection issue?').'</strong></p>';
 			if ($core->auth->allowPassChange()) {
-				echo '<p><a href="auth.php?recover=1">'.__('I forgot my password').'</a></p>';
+				echo '<p><a href="'.$core->adminurl->get('admin.auth',array('recover' => 1)).'">'.__('I forgot my password').'</a></p>';
 			}
-			echo '<p><a href="auth.php?safe_mode=1" id="safe_mode_link">'.__('I want to log in in safe mode').'</a></p>';
+			echo '<p><a href="'.$core->adminurl->get('admin.auth',array('safe_mode' => 1)).'" id="safe_mode_link">'.__('I want to log in in safe mode').'</a></p>';
 		}
 
Index: admin/blog.php
===================================================================
--- admin/blog.php	(revision 2566)
+++ admin/blog.php	(revision 2720)
@@ -21,5 +21,5 @@
 
 # Create a blog
-if (!isset($_POST['id']) && !empty($_POST['blog_id']))
+if (!isset($_POST['id']) && (isset($_POST['create'])))
 {
 	$cur = $core->con->openCursor($core->prefix.'blog');
@@ -52,5 +52,5 @@
 		$core->callBehavior('adminAfterBlogCreate',$cur,$blog_id,$blog_settings);
 		dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully created'), html::escapeHTML($cur->blog_name)));
-		http::redirect('blog.php?id='.$cur->blog_id);
+		http::redirect($core->adminurl->get("admin.blog", array('id' => $cur->blog_id)));
 	}
 	catch (Exception $e)
@@ -71,5 +71,5 @@
 			array(
 				__('System') => '',
-				__('Blogs') => 'blogs.php',
+				__('Blogs') => $core->adminurl->get("admin.blogs"),
 				__('New blog') => ''
 			))
@@ -77,5 +77,5 @@
 
 	echo
-	'<form action="blog.php" method="post" id="blog-form">'.
+	'<form action="'.$core->adminurl->get("admin.blog").'" method="post" id="blog-form">'.
 
 	'<div>'.$core->formNonce().'</div>'.
@@ -83,9 +83,4 @@
 	form::field('blog_id',30,32,html::escapeHTML($blog_id)).'</p>'.
 	'<p class="form-note">'.__('At least 2 characters using letters, numbers or symbols.').'</p> ';
-
-	if ($blog_id) {
-		echo
-		'<p class="form-note warn">'.__('Please note that changing your blog ID may require changes in your public index.php file.').'</p>';
-	}
 
 	echo
@@ -99,5 +94,5 @@
 	form::textarea('blog_desc',60,5,html::escapeHTML($blog_desc)).'</p>'.
 
-	'<p><input type="submit" accesskey="s" value="'.__('Create').'" /></p>'.
+	'<p><input type="submit" accesskey="s" name="create" value="'.__('Create').'" /></p>'.
 	'</form>';
 
Index: admin/blog_del.php
===================================================================
--- admin/blog_del.php	(revision 2566)
+++ admin/blog_del.php	(revision 2720)
@@ -44,5 +44,5 @@
 			dcPage::addSuccessNotice(sprintf(__('Blog "%s" successfully deleted'), html::escapeHTML($blog_name)));
 
-			http::redirect('blogs.php');
+			http::redirect($core->adminurl->get("admin.blogs"));
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -55,5 +55,5 @@
 		array(
 			__('System') => '',
-			__('Blogs') => 'blogs.php',
+			__('Blogs') => $core->adminurl->get("admin.blogs"),
 			__('Delete a blog') => ''
 		))
@@ -69,5 +69,5 @@
 
 	echo
-	'<form action="blog_del.php" method="post">'.
+	'<form action="'.$core->adminurl->get("admin.blog.del").'" method="post">'.
 	'<div>'.$core->formNonce().'</div>'.
 	'<p><label for="pwd">'.__('Your password:').'</label> '.
Index: admin/blog_pref.php
===================================================================
--- admin/blog_pref.php	(revision 2566)
+++ admin/blog_pref.php	(revision 2720)
@@ -26,6 +26,6 @@
 	$blog_url = $core->blog->url;
 
-	$action = 'blog_pref.php';
-	$redir = 'blog_pref.php';
+	$action = $core->adminurl->get("admin.blog.pref");
+	$redir = $core->adminurl->get("admin.blog.pref");
 }
 else
@@ -55,6 +55,6 @@
 	}
 
-	$action = 'blog.php';
-	$redir = 'blog.php?id=%s';
+	$action = $core->adminurl->get("admin.blog");
+	$redir = $core->adminurl->get("admin.blog",array('id' => "%s"));
 }
 
@@ -166,4 +166,7 @@
 	$media_img_m_size = abs((integer) $_POST['media_img_m_size']);
 	if ($media_img_m_size < 0) { $media_img_m_size = 448; }
+
+	$nb_post_for_home = abs((integer) $_POST['nb_post_for_home']);
+	if ($nb_post_for_home <= 1) { $nb_post_for_home = 1; }
 
 	$nb_post_per_page = abs((integer) $_POST['nb_post_per_page']);
@@ -231,4 +234,5 @@
 		$blog_settings->system->put('note_title_tag',$_POST['note_title_tag']);
 
+		$blog_settings->system->put('nb_post_for_home',$nb_post_for_home);
 		$blog_settings->system->put('nb_post_per_page',$nb_post_per_page);
 		$blog_settings->system->put('use_smilies',!empty($_POST['use_smilies']));
@@ -277,5 +281,5 @@
 		array(
 			__('System') => '',
-			__('Blogs') => 'blogs.php',
+			__('Blogs') => $core->adminurl->get("admin.blogs"),
 			__('Blog settings').' : '.html::escapeHTML($blog_name) => ''
 		));
@@ -292,4 +296,5 @@
 	"</script>".
 	dcPage::jsConfirmClose('blog-form').
+	$core->callBehavior('adminPostEditor').
 	dcPage::jsLoad('js/_blog_pref.js').
 
@@ -512,4 +517,8 @@
 
 	'<div class="col">'.
+	'<p><label for="nb_post_for_home" class="classic">'.sprintf(__('Display %s entries on home page'),
+	form::field('nb_post_for_home',2,3,$blog_settings->system->nb_post_for_home)).
+	'</label></p>'.
+
 	'<p><label for="nb_post_per_page" class="classic">'.sprintf(__('Display %s entries per page'),
 	form::field('nb_post_per_page',2,3,$blog_settings->system->nb_post_per_page)).
@@ -606,5 +615,5 @@
 	{
 		echo
-		'<form action="blog_del.php" method="post">'.
+		'<form action="'.$core->adminurl->get("admin.blog.del").'" method="post">'.
 		'<p><input type="submit" class="delete" value="'.__('Delete this blog').'" />'.
 		form::hidden(array('blog_id'),$blog_id).
@@ -638,5 +647,5 @@
 	{
 		if ($core->auth->isSuperAdmin()) {
-			$user_url_p = '<a href="user.php?id=%1$s">%1$s</a>';
+			$user_url_p = '<a href="'.$core->adminurl->get("admin.user",array('id' => '%1$s')).'">%1$s</a>';
 		} else {
 			$user_url_p = '%1$s';
@@ -710,5 +719,5 @@
 					'<form action="users_actions.php" method="post">'.
 					'<p class="change-user-perm"><input type="submit" class="reset" value="'.__('Change permissions').'" />'.
-					form::hidden(array('redir'),'blog_pref.php?id='.$k).
+					form::hidden(array('redir'),$core->adminurl->get("admin.blog.pref",array('id' => $k))).
 					form::hidden(array('action'),'perms').
 					form::hidden(array('users[]'),$k).
Index: admin/blog_theme.php
===================================================================
--- admin/blog_theme.php	(revision 2579)
+++ admin/blog_theme.php	(revision 2677)
@@ -133,5 +133,5 @@
 		'<p class="info vertical-separator">'.sprintf(
 			__("Visit %s repository, the resources center for Dotclear."),
-			'<a href="http://themes.dotaddict.org/dc2/">Dotaddict</a>'
+			'<a href="http://themes.dotaddict.org/galerie-dc2/">Dotaddict</a>'
 			).
 		'</p>'.
Index: admin/blogs.php
===================================================================
--- admin/blogs.php	(revision 2566)
+++ admin/blogs.php	(revision 2720)
@@ -99,9 +99,9 @@
 {
 	if ($core->auth->isSuperAdmin()) {
-		echo '<p class="top-add"><a class="button add" href="blog.php">'.__('Create a new blog').'</a></p>';
+		echo '<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.blog").'">'.__('Create a new blog').'</a></p>';
 	}
 
 	echo
-	'<form action="blogs.php" method="get" id="filters-form">'.
+	'<form action="'.$core->adminurl->get("admin.blogs").'" method="get" id="filters-form">'.
 	'<h3 class="hidden">'.__('Filter blogs list').'</h3>'.
 
@@ -183,5 +183,5 @@
 	if ($GLOBALS['core']->auth->isSuperAdmin()) {
 		$edit_link =
-		'<a href="blog.php?id='.$blog_id.'"  title="'.sprintf(__('Edit blog settings for %s'),$blog_id).'">'.
+		'<a href="'.$core->adminurl->get("admin.blog",array('id' => $blog_id)).'"  title="'.sprintf(__('Edit blog settings for %s'),$blog_id).'">'.
 		'<img src="images/edit-mini.png" alt="'.__('Edit blog settings').'" /> '.$blog_id.'</a> ';
 	} else {
@@ -198,5 +198,5 @@
 	'<tr class="line">'.
 	'<td class="nowrap">'.$edit_link.'</td>'.
-	'<td class="maximal"><a href="index.php?switchblog='.$rs->blog_id.'" '.
+	'<td class="maximal"><a href="'.$core->adminurl->get("admin.home",array('switchblog' => $rs->blog_id)).'" '.
 	'title="'.sprintf(__('Switch to blog %s'),$rs->blog_id).'">'.
 	html::escapeHTML($rs->blog_name).'</a></td>'.
Index: admin/categories.php
===================================================================
--- admin/categories.php	(revision 2709)
+++ admin/categories.php	(revision 2720)
@@ -24,5 +24,5 @@
 	if ($c->isEmpty()) {
 		dcPage::addErrorNotice(__('This category does not exist.'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	}
 	$name = $c->cat_title;
@@ -33,5 +33,5 @@
 		$core->blog->delCategory($cat_id);
 		dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully deleted.'),html::escapeHTML($name)));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -62,5 +62,5 @@
 		dcPage::addSuccessNotice(sprintf(__('The entries have been successfully moved to category "%s"'),
 			html::escapeHTML($name)));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -79,5 +79,5 @@
 
 	dcPage::addSuccessNotice(__('Categories have been successfully reordered.'));
-	http::redirect('categories.php');
+	http::redirect($core->adminurl->get("admin.categories"));
 }
 
@@ -89,5 +89,5 @@
 		$core->blog->resetCategoriesOrder();
 		dcPage::addSuccessNotice(__('Categories order has been successfully reset.'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	}
 	catch (Exception $e)
@@ -109,4 +109,5 @@
 	&& $rs->count()>1) {
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery-ui.custom.js');
+		$starting_script .= dcPage::jsLoad('js/jquery/jquery.ui.touch-punch.js');
 		$starting_script .= dcPage::jsLoad('js/jquery/jquery.mjs.nestedSortable.js');
 }
@@ -134,5 +135,5 @@
 
 echo
-'<p class="top-add"><a class="button add" href="category.php">'.__('New category').'</a></p>';
+'<p class="top-add"><a class="button add" href="'.$core->adminurl->get("admin.category").'">'.__('New category').'</a></p>';
 
 echo
@@ -145,5 +146,5 @@
 {
 	echo
-	'<form action="categories.php" method="post" id="form-categories">'.
+	'<form action="'.$core->adminurl->get("admin.categories").'" method="post" id="form-categories">'.
 	'<div id="categories">';
 
@@ -164,6 +165,8 @@
 
 		echo
-		'<p class="cat-title"><label class="classic" for="cat_'.$rs->cat_id.'"><a href="category.php?id='.$rs->cat_id.'">'.html::escapeHTML($rs->cat_title).'</a></label> </p>'.
-		'<p class="cat-nb-posts">(<a href="posts.php?cat_id='.$rs->cat_id.'">'.
+		'<p class="cat-title"><label class="classic" for="cat_'.$rs->cat_id.'"><a href="'.
+		$core->adminurl->get("admin.category",array('id' => $rs->cat_id)).'">'.html::escapeHTML($rs->cat_title).
+		'</a></label> </p>'.
+		'<p class="cat-nb-posts">(<a href="'.$core->adminurl->get("admin.posts",array('cat_id' => $rs->cat_id)).'">'.
 		sprintf(($rs->nb_post > 1 ? __('%d entries') : __('%d entry') ),$rs->nb_post).'</a>'.
 		', '.__('total:').' '.$rs->nb_total.')</p>'.
Index: admin/category.php
===================================================================
--- admin/category.php	(revision 2566)
+++ admin/category.php	(revision 2720)
@@ -85,5 +85,5 @@
 			$core->blog->setCategoryParent($cat_id,$new_parent);
 			dcPage::addSuccessNotice(__('The category has been successfully moved'));
-			http::redirect('categories.php');
+			http::redirect($core->adminurl->get("admin.categories"));
 		} catch (Exception $e) {
 			$core->error->add($e->getMessage());
@@ -98,5 +98,5 @@
 		$core->blog->setCategoryPosition($cat_id,(integer) $_POST['cat_sibling'],$_POST['cat_move']);
 		dcPage::addSuccessNotice(__('The category has been successfully moved'));
-		http::redirect('categories.php');
+		http::redirect($core->adminurl->get("admin.categories"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -136,5 +136,5 @@
 			dcPage::addSuccessNotice(__('The category has been successfully updated.'));
 
-			http::redirect('category.php?id='.$_POST['id']);
+			http::redirect($core->adminurl->get("admin.category",array('id' => $_POST['id'])));
 		}
 		# Create category
@@ -151,5 +151,5 @@
 			dcPage::addSuccessNotice(sprintf(__('The category "%s" has been successfully created.'),
 				html::escapeHTML($cur->cat_title)));
-			http::redirect('categories.php');
+			http::redirect($core->adminurl->get("admin.categories"));
 		}
 	}
@@ -165,9 +165,9 @@
 $elements = array(
 	html::escapeHTML($core->blog->name) => '',
-	__('Categories') => 'categories.php'
+	__('Categories') => $core->adminurl->get("admin.categories")
 	);
 if ($cat_id) {
 	while($parents->fetch()) {
-		$elements[html::escapeHTML($parents->cat_title)] = 'category.php?id='.$parents->cat_id;
+		$elements[html::escapeHTML($parents->cat_title)] = $core->adminurl->get("admin.category",array('id'=> $parents->cat_id));
 	}
 }
@@ -176,6 +176,6 @@
 dcPage::open($title,
 	dcPage::jsConfirmClose('category-form').
-	dcPage::jsToolBar().
 	dcPage::jsLoad('js/_category.js'),
+	$core->callBehavior('adminPostEditor').
 	dcPage::breadcrumb($elements)
 );
@@ -186,5 +186,5 @@
 
 echo
-'<form action="category.php" method="post" id="category-form">'.
+'<form action="'.$core->adminurl->get("admin.category").'" method="post" id="category-form">'.
 '<h3>'.__('Category information').'</h3>'.
 '<p><label class="required" for="cat_title"><abbr title="'.__('Required field').'">*</abbr> '.__('Name:').'</label> '.
@@ -232,5 +232,5 @@
 	'<div class="col">'.
 
-	'<form action="category.php" method="post" class="fieldset">'.
+	'<form action="'.$core->adminurl->get("admin.category").'" method="post" class="fieldset">'.
 	'<h4>'.__('Category parent').'</h4>'.
 	'<p><label for="cat_parent" class="classic">'.__('Parent:').'</label> '.
@@ -244,5 +244,5 @@
 		echo
 		'<div class="col">'.
-		'<form action="category.php" method="post" class="fieldset">'.
+		'<form action="'.$core->adminurl->get("admin.category").'" method="post" class="fieldset">'.
 		'<h4>'.__('Category sibling').'</h4>'.
 		'<p><label class="classic" for="cat_sibling">'.__('Move current category').'</label> '.
Index: admin/comment.php
===================================================================
--- admin/comment.php	(revision 2566)
+++ admin/comment.php	(revision 2720)
@@ -91,5 +91,5 @@
 
 if (!$comment_id && !$core->error->flag()) {
-	$core->error->add(__('No comment'));
+	$core->error->add(__('No comments'));
 }
 
@@ -133,5 +133,5 @@
 
 			dcPage::addSuccessNotice(__('Comment has been successfully updated.'));
-			http::redirect('comment.php?id='.$comment_id);
+			http::redirect($core->adminurl->get("admin.comment",array('id' => $comment_id)));
 		}
 		catch (Exception $e)
@@ -181,6 +181,6 @@
 dcPage::open(__('Edit comment'),
 	dcPage::jsConfirmClose('comment-form').
-	dcPage::jsToolBar().
 	dcPage::jsLoad('js/_comment.js').
+	$core->callBehavior('adminPostEditor').
 	# --BEHAVIOR-- adminCommentHeaders
 	$core->callBehavior('adminCommentHeaders'),
@@ -205,9 +205,9 @@
 
 	echo
-	'<form action="comment.php" method="post" id="comment-form">'.
+	'<form action="'.$core->adminurl->get("admin.comment").'" method="post" id="comment-form">'.
 	'<div class="fieldset">'.
 	'<h3>'.__('Information collected').'</h3>'.
 	'<p>'.__('IP address:').' '.
-	'<a href="comments.php?ip='.$comment_ip.'">'.$comment_ip.'</a></p>'.
+	'<a href="'.$core->adminurl->get("admin.comments",array('ip' => $comment_ip)).'">'.$comment_ip.'</a></p>'.
 
 	'<p>'.__('Date:').' '.
Index: admin/comments.php
===================================================================
--- admin/comments.php	(revision 2566)
+++ admin/comments.php	(revision 2720)
@@ -20,5 +20,5 @@
 		$core->blog->delJunkComments();
 		$_SESSION['comments_del_spam'] = true;
-		http::redirect('comments.php');
+		http::redirect($core->adminurl->get("admin.comments"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -136,5 +136,5 @@
 }
 
-$comments_actions_page = new dcCommentsActionsPage($core,'comments.php');
+$comments_actions_page = new dcCommentsActionsPage($core,$core->adminurl->get("admin.comments"));
 
 if ($comments_actions_page->process()) {
@@ -191,13 +191,13 @@
 
 		echo
-			'<form action="comments.php" method="post" class="fieldset">';
+			'<form action="'.$core->adminurl->get("admin.comments").'" method="post" class="fieldset">';
 
 		if (!$with_spam || ($status != -2)) {
 			if ($spam_count == 1) {
 				echo '<p>'.sprintf(__('You have one spam comment.'),'<strong>'.$spam_count.'</strong>').' '.
-				'<a href="comments.php?status=-2">'.__('Show it.').'</a>.</p>';
+				'<a href="'.$core->adminurl->get("admin.comments",array('status' => -2)).'">'.__('Show it.').'</a>.</p>';
 			} elseif ($spam_count > 1) {
 				echo '<p>'.sprintf(__('You have %s spam comments.'),'<strong>'.$spam_count.'</strong>').' '.
-				'<a href="comments.php?status=-2">'.__('Show them.').'</a>.</p>';
+				'<a href="'.$core->adminurl->get("admin.comments",array('status' => -2)).'">'.__('Show them.').'</a>.</p>';
 			}
 		}
@@ -215,5 +215,5 @@
 
 	echo
-	'<form action="comments.php" method="get" id="filters-form">'.
+	'<form action="'.$core->adminurl->get("admin.comments").'" method="get" id="filters-form">'.
 	'<h3 class="hidden">'.__('Filter comments and trackbacks list').'</h3>'.
 	'<div class="table">'.
@@ -252,5 +252,5 @@
 	# Show comments
 	$comment_list->display($page,$nb_per_page,
-	'<form action="comments.php" method="post" id="form-comments">'.
+	'<form action="'.$core->adminurl->get("admin.comments").'" method="post" id="form-comments">'.
 
 	'%s'.
Index: admin/comments_actions.php
===================================================================
--- admin/comments_actions.php	(revision 2566)
+++ admin/comments_actions.php	(revision 2720)
@@ -24,5 +24,5 @@
 	$args['redir'] = $_REQUEST['redir'];
 } else {
-	$uri = 'comments.php';
+	$uri = $core->adminurl->get("admin.comments");
 	$args=array();
 }
Index: admin/help.php
===================================================================
--- admin/help.php	(revision 2566)
+++ admin/help.php	(revision 2720)
@@ -76,5 +76,5 @@
 	$breadcrumb = dcPage::breadcrumb(
 		array(
-			__('Global help') => 'help.php',
+			__('Global help') => $core->adminurl->get("admin.help"),
 			$content_array['title'] => ''
 		));
Index: admin/index.php
===================================================================
--- admin/index.php	(revision 2566)
+++ admin/index.php	(revision 2720)
@@ -21,5 +21,5 @@
 	try {
 		$core->setUserDefaultBlog($core->auth->userID(),$core->blog->id);
-		http::redirect('index.php');
+		http::redirect($core->adminurl->get("admin.home"));
 	} catch (Exception $e) {
 		$core->error->add($e->getMessage());
@@ -36,5 +36,5 @@
 		setcookie('dc_admin',false,-600,'','',DC_ADMIN_SSL);
 	}
-	http::redirect('auth.php');
+	http::redirect($core->adminurl->get("admin.auth"));
 	exit;
 }
@@ -171,6 +171,6 @@
 -------------------------------------------------------- */
 dcPage::open(__('Dashboard'),
-	dcPage::jsToolBar().
 	dcPage::jsLoad('js/_index.js').
+	$core->callBehavior('adminPostEditor').
 	# --BEHAVIOR-- adminDashboardHeaders
 	$core->callBehavior('adminDashboardHeaders'),
@@ -193,6 +193,6 @@
 		echo
 		'<div class="dc-update"><h3>'.sprintf(__('Dotclear %s is available!'),$new_v).'</h3> '.
-		'<p><a class="button submit" href="update.php">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
-		'<a class="button" href="update.php?hide_msg=1">'.__('Remind me later').'</a>'.
+		'<p><a class="button submit" href="'.$core->adminurl->get("admin.update").'">'.sprintf(__('Upgrade now'),$new_v).'</a> '.
+		'<a class="button" href="'.$core->adminurl->get("admin.update", array('hide_msg' => 1)).'">'.__('Remind me later').'</a>'.
 		($version_info ? ' </p>'.
 		'<p class="updt-info"><a href="'.$version_info.'">'.__('Information about this version').'</a>' : '').'</p>'.
@@ -203,5 +203,5 @@
 if ($core->auth->getInfo('user_default_blog') != $core->blog->id && $core->auth->getBlogCount() > 1) {
 	echo
-	'<p><a href="index.php?default_blog=1" class="button">'.__('Make this blog my default blog').'</a></p>';
+	'<p><a href="'.$core->adminurl->get("admin.home",array('default_blog' => 1)).'" class="button">'.__('Make this blog my default blog').'</a></p>';
 }
 
@@ -325,5 +325,5 @@
 		'<div id="quick">'.
 		'<h3>'.__('Quick entry').'</h3>'.
-		'<form id="quick-entry" action="post.php" method="post" class="fieldset">'.
+		'<form id="quick-entry" action="'.$core->adminurl->get('admin.post').'" method="post" class="fieldset">'.
 		'<h4>'.__('New entry').'</h4>'.
 		'<p class="col"><label for="post_title" class="required"><abbr title="'.__('Required field').'">*</abbr> '.__('Title:').'</label>'.
Index: admin/js/_category.js
===================================================================
--- admin/js/_category.js	(revision 2566)
+++ admin/js/_category.js	(revision 2614)
@@ -2,5 +2,7 @@
 	dotclear.hideLockable();
 
-	var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
-	tbCategory.draw('xhtml');
+	if ($.isFunction('jsToolBar')) {
+		var tbCategory = new jsToolBar(document.getElementById('cat_desc'));
+		tbCategory.draw('xhtml');
+	}
 });
Index: admin/js/_comment.js
===================================================================
--- admin/js/_comment.js	(revision 2566)
+++ admin/js/_comment.js	(revision 2614)
@@ -1,7 +1,7 @@
 $(function() {
-	if (!document.getElementById) { return; }
-
-	var tbComment = new jsToolBar(document.getElementById('comment_content'));
-	tbComment.draw('xhtml');
+	if ($.isFunction('jsToolBar')) {
+		var tbComment = new jsToolBar(document.getElementById('comment_content'));
+		tbComment.draw('xhtml');
+	}
 
 	$('#comment-form input[name="delete"]').click(function() {
Index: admin/js/_index.js
===================================================================
--- admin/js/_index.js	(revision 1699)
+++ admin/js/_index.js	(revision 2614)
@@ -2,6 +2,8 @@
 	var f = $('#quick-entry');
 	if (f.length > 0) {
-		var contentTb = new jsToolBar($('#post_content',f)[0]);
-		contentTb.switchMode($('#post_format',f).val());
+		if ($.isFunction('jsToolBar')) {
+			var contentTb = new jsToolBar($('#post_content',f)[0]);
+			contentTb.switchMode($('#post_format',f).val());
+		}
 
 		$('input[name=save]',f).click(function() {
@@ -21,5 +23,5 @@
 
 		function quickPost(f,status) {
-			if (contentTb.getMode() == 'wysiwyg') {
+			if ($.isFunction('jsToolBar') && (contentTb.getMode() == 'wysiwyg')) {
 				contentTb.syncContents('iframe');
 			}
@@ -55,5 +57,5 @@
 					$('#post_title',f).val('');
 					$('#post_content',f).val('');
-					if (contentTb.getMode() == 'wysiwyg') {
+					if ($.isFunction('jsToolBar') &&  (contentTb.getMode() == 'wysiwyg')) {
 						contentTb.syncContents('textarea');
 					}
Index: admin/js/_post.js
===================================================================
--- admin/js/_post.js	(revision 2556)
+++ admin/js/_post.js	(revision 2614)
@@ -51,36 +51,4 @@
 
 $(function() {
-	if (!document.getElementById) { return; }
-
-	if (document.getElementById('edit-entry'))
-	{
-		// Get document format and prepare toolbars
-		var formatField = $('#post_format').get(0);
-		var last_post_format = $(formatField).val();
-		$(formatField).change(function() {
-			// Confirm post format change
-			if(window.confirm(dotclear.msg.confirm_change_post_format_noconvert)){
-				excerptTb.switchMode(this.value);
-				contentTb.switchMode(this.value);
-				last_post_format = $(this).val();
-			}else{
-				// Restore last format if change cancelled
-				$(this).val(last_post_format);
-			}
-
-			$('.format_control > *').addClass('hide');
-			$('.format_control:not(.control_no_'+$(this).val()+') > *').removeClass('hide');
-		});
-
-		var excerptTb = new jsToolBar(document.getElementById('post_excerpt'));
-		var contentTb = new jsToolBar(document.getElementById('post_content'));
-		excerptTb.context = contentTb.context = 'post';
-	}
-
-	if (document.getElementById('comment_content')) {
-		var commentTb = new jsToolBar(document.getElementById('comment_content'));
-		commentTb.draw('xhtml');
-	}
-
 	// Post preview
 	$('#post-preview').modalWeb($(window).width()-40,$(window).height()-40);
@@ -99,72 +67,4 @@
 			return window.confirm(dotclear.msg.confirm_delete_post);
 		});
-
-		// Markup validator
-		var v = $('<div class="format_control"><p><a id="a-validator"></a></p><div/>').get(0);
-		$('.format_control').before(v);
-		var a = $('#a-validator').get(0);
-		a.href = '#';
-		a.className = 'button ';
-		$(a).click(function() {
-
-			excerpt_content = $('#post_excerpt').css('display') != 'none' ? $('#post_excerpt').val() : $('#excerpt-area iframe').contents().find('body').html();
-			post_content	= $('#post_content').css('display') != 'none' ? $('#post_content').val() : $('#content-area iframe').contents().find('body').html();
-
-			var params = {
-				xd_check: dotclear.nonce,
-				f: 'validatePostMarkup',
-				excerpt: excerpt_content,
-				content: post_content,
-				format: $('#post_format').get(0).value,
-				lang: $('#post_lang').get(0).value
-			};
-
-			$.post('services.php',params,function(data) {
-				if ($(data).find('rsp').attr('status') != 'ok') {
-					alert($(data).find('rsp message').text());
-					return false;
-				}
-
-				$('.message, .success, .error, .warning-msg').remove();
-
-				if ($(data).find('valid').text() == 1) {
-					var p = document.createElement('p');
-					p.id = 'markup-validator';
-
-					$(p).addClass('success');
-					$(p).text(dotclear.msg.xhtml_valid);
-					$('#entry-content h3').after(p);
-					$(p).backgroundFade({sColor: dotclear.fadeColor.beginValidatorMsg, eColor: dotclear.fadeColor.endValidatorMsg, steps: 50},function() {
-							$(this).backgroundFade({sColor: dotclear.fadeColor.endValidatorMsg, eColor: dotclear.fadeColor.beginValidatorMsg});
-					});
-				} else {
-					var div = document.createElement('div');
-					div.id = 'markup-validator';
-
-					$(div).addClass('error');
-					$(div).html('<p><strong>' + dotclear.msg.xhtml_not_valid + '</strong></p>' + $(data).find('errors').text());
-					$('#entry-content h3').after(div);
-					$(div).backgroundFade({sColor: dotclear.fadeColor.beginValidatorErr,eColor: dotclear.fadeColor.endValidatorErr, steps: 50},function() {
-							$(this).backgroundFade({sColor: dotclear.fadeColor.endValidatorErr, eColor: dotclear.fadeColor.beginValidatorErr});
-					});
-				}
-
-				if ( $('#post_excerpt').text() != excerpt_content || $('#post_content').text() != post_content ) {
-					var pn = document.createElement('p');
-					$(pn).addClass('warning-msg');
-					$(pn).text(dotclear.msg.warning_validate_no_save_content);
-					$('#entry-content h3').after(pn);
-				}
-
-				return false;
-			});
-
-			return false;
-		});
-
-		a.appendChild(document.createTextNode(dotclear.msg.xhtml_validator));
-
-		$('.format_control > *').addClass('hide');
-		$('.format_control:not(.control_no_'+last_post_format+') > *').removeClass('hide');
 
 		// Hide some fields
@@ -218,8 +118,4 @@
 		});
 
-		// Load toolbars
-		contentTb.switchMode(formatField.value);
-		excerptTb.switchMode(formatField.value);
-
 		// Replace attachment remove links by a POST form submit
 		$('a.attachment-remove').click(function() {
@@ -232,13 +128,4 @@
 			}
 			return false;
-		});
-
-		// Check unsaved changes before XHTML conversion
-		var excerpt = $('#post_excerpt').val();
-		var content = $('#post_content').val();
-		$('#convert-xhtml').click(function() {
-			if (excerpt != $('#post_excerpt').val() || content != $('#post_content').val()) {
-				return window.confirm(dotclear.msg.confirm_change_post_format);
-			}
 		});
 	});
Index: admin/js/common.js
===================================================================
--- admin/js/common.js	(revision 2566)
+++ admin/js/common.js	(revision 2689)
@@ -290,5 +290,5 @@
 	var peInPage = $('#help-button').offset().top;
 	$('#help-button').addClass("floatable");
-	var peInFloat = $('#help-button').offset().top;
+	var peInFloat = $('#help-button').offset().top - $(window).scrollTop();
 	$('#help-button').removeClass("floatable");
 	$(window).scroll(
